
	tileset = love.graphics.newImage("tileset.png")
	settlements = love.graphics.newImage("settlements.png")
	border = love.graphics.newImage("border.png")
	cursor = love.graphics.newImage("cursor.png")


function quadload()
	tileW = 32
	tileH = 32
	local tilesetW = tileset:getWidth()
	local tilesetH = tileset:getHeight()
	local settlementsW = settlements:getWidth()
	local settlementsH = settlements:getHeight()

	local quadInfo1 = {
		{  0,  0 }, -- 1 = ocean
		{ 32,  0 }, -- 2 = grass
		{ 64,  0 }, -- 3 = hills
		{ 96,  0 }, -- 4 = mountain
		{  0, 32 }, -- 5 = desert
		{ 32, 32 }, -- 6 = forest
		{ 64, 32 }, -- 7 = ice
		{ 96, 32 }, -- 8 = snow
		{  0, 64 }, -- 9 = ice
		{ 32, 64 }, -- 10 = snow
		{ 64, 64 }, -- 11 = blank
		{ 96, 64 }, -- 12 = blank
		{  0, 96 }, -- 13 = blank
		{ 32, 96 }, -- 14 = blank
		{ 64, 96 }, -- 15 = blank
		{ 96, 96 }, -- 16 = blank

	}

	quads1 = {}
	for i,info in ipairs(quadInfo1) do
  		-- info[1] = x, info[2] = y
  		quads1[i] = love.graphics.newQuad(info[1], info[2], tileW, tileH, tilesetW, tilesetH)
	end

	local quadInfo2 = {
		{  0,  0 }, -- 1 = hamlet
		{ 32,  0 }, -- 2 = village
		{ 64,  0 }, -- 3 = town
		{ 96,  0 }, -- 4 = city
	}

	quads2 = {}
	for i,info in ipairs(quadInfo2) do
  		-- info[1] = x, info[2] = y
  		quads2[i] = love.graphics.newQuad(info[1], info[2], tileW, tileH, settlementsW, settlementsH)
	end
end -- ending quadload