require "keys"
require "worldgen"
require "assets"
require "popgen"

function love.load()
	menufont = love.graphics.newFont("UbuntuMono-R.ttf",16)
	love.graphics.setFont(menufont)
	love.keyboard.setKeyRepeat(0.01, 0.2)
end

function love.update(dt)
	if genStep == 2 or genStep == 3 then
		cameraSet()
		mouseGeneration()
	end
end

-- global variables
view = "title" -- can be: title, generation, map, confirm quit
lastview = nil
currentGame = "no"




function viewTitle()
	love.graphics.printf("bard", 0, 300, 800,"center")
	love.graphics.printf("[N]ew Game", 0, 400, 800, "center")
	if currentGame == "yes" then
		love.graphics.printf("[C]ontinue Game", 0, 450, 800, "center")
	end
end

function confirmQuit()
	love.graphics.print("Are you sure you want to quit?",250,350)
end






function love.keypressed(key) 
--[[ can I do this as a loop? with a table?
	keys[view] etc? is it even a good idea? --]]
	if view == "title" then
		keysTitle(key)
	elseif view == "generation" then
		keysGeneration(key)
	elseif view == "map" then
		keysMap(key)
	elseif view == "confirm quit" then
		keysQuit(key)
	end
end 

--[[function love.mousepressed(x,y,button)
	if view == "generation" then
		if genStep == 2 then
			mouseGeneration(x,y,button)
		end
	end
end -- ending love.mousepressed --]]

function love.draw()
	if view == "title" then
		viewTitle()
	elseif view == "generation" then
		viewGeneration()
	elseif view == "map" then
		viewMap()
	elseif view == "confirm quit" then
		confirmQuit()
	end
end